Bug 124411 - Hardcode txqueuelen in initscripts
Hardcode txqueuelen in initscripts
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 08:49 EDT by Dag Wieers
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 16:08:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2004-05-26 08:49:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
I'm looking for a way to hardcode the txqueuelen per interface using
the normal scripts. Based on the current scripts I don't think it is
possible so we have to do that post-boot (/etc/rc.d/rc.local).

Would a patch to allow changing the txqueuelen from ifcfg-<dev> be
accepted or is there some other way to have this setting hardcoded ?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. .
2.
3.
    

Additional info:
Comment 1 Dag Wieers 2004-06-10 21:21:09 EDT
As an addendum to this feature request, I also need to set the media
(100Mbit, Full-duplex) per interface. So it would be nice if also the
media could be forced using variables in ifcfg-eth0.

Sadly some modules don't allow this as a module-parameter, eg. tg3. An
option in ifcfg-eth0 that uses mii-tool or ethtool would help.

PS I also think it's better to have the per-interface configuration in
one place (ifcfg-eth0) than several places (ifcfg-eth0 and
/etc/modules.conf or /etc/rc.d/rc.local).

If this would be accepted for a next RHEL3 update release, I'm willing
to do the scripting.
Comment 2 Bill Nottingham 2004-06-28 17:19:25 EDT
Media can be done with ETHTOOL_OPTS.
Comment 3 Bill Nottingham 2005-09-21 16:08:21 EDT
At this point, a feature like this won't be added to RHEL 3. For later releases,
this could be done in a variety of ways, including ifup-local, udev scripts, and
other mechanisms.

Note You need to log in before you can comment on or make changes to this bug.